libzypp 17.37.10

zypp::ResTraits< TRes > Struct Template Reference

ResTraits. More...

`#include <zypp/ResTraits.h>`

## Public Types
using | KindType = ResKind
using | PtrType = intrusive_ptr<TRes>
using | constPtrType = intrusive_ptr<const TRes>

## Static Public Member Functions
static bool | isPseudoInstalled ()
| Those are denoted to be installed, if the solver verifies them as being satisfied.

## Static Public Attributes
static const ResKind kind | ZYPP_API
| Defined in ResKind.cc.

## Detailed Description

template<typename TRes>
struct zypp::ResTraits< TRes >

ResTraits.

Defines common types and the ResKind value.

Definition at line 79 of file ResTraits.h.

## Member Typedef Documentation

## ◆ KindType

template<typename TRes>

using zypp::ResTraits< TRes >::KindType = ResKind

Definition at line 81 of file ResTraits.h.

## ◆ PtrType

template<typename TRes>

using zypp::ResTraits< TRes >::PtrType = intrusive_ptr<TRes>

Definition at line 82 of file ResTraits.h.

## ◆ constPtrType

template<typename TRes>

using zypp::ResTraits< TRes >::constPtrType = intrusive_ptr<const TRes>

Definition at line 83 of file ResTraits.h.

## Member Function Documentation

## ◆ isPseudoInstalled()

template<typename TRes>

bool zypp::ResTraits< TRes >::isPseudoInstalled | ( |  | ) |
| inline static

Those are denoted to be installed, if the solver verifies them as being satisfied.

Definition at line 89 of file ResTraits.h.

## Member Data Documentation

## ◆ ZYPP_API

template<typename TRes>

const ResKind kind zypp::ResTraits< TRes >::ZYPP_API
| static

Defined in ResKind.cc.

Definition at line 85 of file ResTraits.h.

The documentation for this struct was generated from the following file:

- zypp/ResTraits.h